#!/bin/bash

LIMIT_FILE=/Library/LaunchDaemons/tv.bird-dog.bd-multiview.plist

if [ "$EUID" -ne 0 ]; then
  echo "Please run as root"
  exit
fi

if test -f "$LIMIT_FILE"; then
  echo "$LIMIT_FILE aready exists. Exiting."
  exit
fi

cat > $LIMIT_FILE <<- EOF
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple/DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
  <plist version="1.0">
    <dict>
      <key>Label</key>
        <string>limit.maxfiles</string>
      <key>ProgramArguments</key>
        <array>
          <string>sudo</string>
          <string>launchctl</string>
          <string>limit</string>
          <string>maxfiles</string>
          <string>655360</string>
          <string>1048576</string>
        </array>
      <key>RunAtLoad</key>
        <true />
    </dict>
</plist>
EOF

chown root:wheel  $LIMIT_FILE
launchctl load -w $LIMIT_FILE

echo "Limits changed. Please reboot for the changes to take effect."
